scala 安装异常 java.lang.UnsupportedClassVersionError: scala/tools/n

知行合一1 发布于 2016/08/31 14:19
阅读 1K+
收藏 0

C:\Users\Administrator>scala
Exception in thread "main" java.lang.UnsupportedClassVersionError: scala/tools/n
sc/MainGenericRunner (Unsupported major.minor version 50.0)
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:537)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:12
3)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)

C:\Users\Administrator>

加载中
0
况石勇
况石勇

你的Java版本跟scala版本不匹配才报错的,我换了版本后就好了,你可以试一下。

0
胡晓刀
胡晓刀
系统性介绍Scala语言培训课程
课程观看地址:http://www.xuetuwuyou.com/course/12
返回顶部
顶部